Create a new work order
curl --request POST \
--url https://api.bold-factory.com/v1/maintenance/workOrders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetReference": "<string>",
"causeReference": "<string>",
"auxiliaryCauseReferences": [
"<string>"
],
"mainEmployeeReference": "<string>",
"notes": "<string>",
"externalReference": "<string>",
"code": "<string>"
}
'import requests
url = "https://api.bold-factory.com/v1/maintenance/workOrders"
payload = {
"assetReference": "<string>",
"causeReference": "<string>",
"auxiliaryCauseReferences": ["<string>"],
"mainEmployeeReference": "<string>",
"notes": "<string>",
"externalReference": "<string>",
"code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assetReference: '<string>',
causeReference: '<string>',
auxiliaryCauseReferences: ['<string>'],
mainEmployeeReference: '<string>',
notes: '<string>',
externalReference: '<string>',
code: '<string>'
})
};
fetch('https://api.bold-factory.com/v1/maintenance/workOrders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"notes": "<string>",
"causeId": "<string>",
"cause": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"auxiliaryCauses": [
{
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
}
],
"assetId": "<string>",
"asset": {
"type": "Space",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>",
"id": "<string>",
"externalReference": "<string>",
"relatedId": "<string>",
"code": "<string>",
"name": "<string>",
"parent": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>"
}
},
"mainEmployeeId": "<string>",
"mainEmployee": {
"id": "<string>",
"externalReference": "<string>",
"active": true,
"fullName": "<string>",
"code": "<string>"
},
"preventiveScheduleId": "<string>",
"scheduledOccurrenceAt": "2023-11-07T05:31:56Z",
"totalMinutes": 123,
"theoreticalMinutes": 123,
"efficiencyPercent": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
}{
"type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/products/search",
"code": "FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/CANNOT_MODIFY_CANCELLED_LINE",
"title": "Cannot modify cancelled line",
"status": 422,
"detail": "A cancelled line can't be modified.",
"instance": "PUT /v1/planning/purchaseOrders/po_sd786f78s78hgf8hg/lines/pol_n7893ytw3et7w4wfo5rf",
"code": "CANNOT_MODIFY_CANCELLED_LINE"
}Work Orders
Create a new work order
Requires Maintenance.WorkOrders.Write permissions
POST
/
v1
/
maintenance
/
workOrders
Create a new work order
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Cuerpo
application/json
Respuesta
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opciones disponibles:
Cancelled, Pending, Paused, InProgress, Completed Opciones disponibles:
Corrective, Preventive ⌘I